.button {
  --padding_top-bottom: var(--spacing);
  --padding_left-right: calc(var(--spacing) * 2);
  --fs: 12px;
  --color: var(--color-divider);

  border-radius: var(--spacing);
  border: 1px solid var(--color);
  outline: none;

  background-color: inherit;

  cursor: pointer;

  transition: all 0.3s;

  width: max-content;

  color: #000;
  font-size: var(--fs);
  font-weight: 600;
  text-transform: uppercase;
  text-decoration: none;
  text-align: center;
}

.button_full-width {
  width: 100%;
}

.button:hover {
  box-shadow: 0 0 8px 0px var(--color);
}

.button:active {
  box-shadow: inset 0 0 6px 0px var(--color);
}

.button_size_small {
  font-size: calc(var(--fs) / 1.2);

  padding: calc(var(--padding_top-bottom) / 1.2)
    calc(var(--padding_left-right) / 1.2);
}
.button_size_medium {
  padding: var(--padding_top-bottom) var(--padding_left-right);
}
.button_size_large {
  font-size: calc(var(--fs) * 1.2);

  padding: calc(var(--padding_top-bottom) * 1.2)
    calc(var(--padding_left-right) * 1.2);
}

.button_color_default {
}
.button_color_primary {
  --color: var(--color-primary-main);
  color: var(--color);
}
.button_color_secondary {
  --color: var(--color-secondary-main);
  color: var(--color);
}
